NSX-T Data Center REST API

Get threshold configuration for IDS system signature

Retrieve threshold and rate filter configuration for IDS signature.
This API is applicable only for 'System' signatures.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/settings/firewall/security/intrusion-services/global-signatures/threshold-configs/{signature-id}
/policy/api/v1/global-infra/settings/firewall/security/intrusion-services/global-signatures/threshold-configs/{signature-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/settings/firewall/security/intrusion-services/global-signatures/threshold-configs/1060759

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
IdsThresholdConfig+

Example Response:

{ "threshold": { "threshold_type": "THRESHOLD", "count": 12, "time_period": 160, "track_by": "SOURCE" }, "rate_filter": { "new_action": "DROP", "count": 20, "time_period": 40, "timeout": 400 }, "resource_type": "IdsThresholdConfig", "id": "1060759", "display_name": "1060759", "path": "/infra/settings/firewall/security/intrusion-services/global-signatures/threshold-configs/1060759", "relative_path": "1060759", "parent_path": "/infra", "unique_id": "f3e44266-bceb-4f3e-8f17-a1ad88a618b4", "realization_id": "f3e44266-bceb-4f3e-8f17-a1ad88a618b4", "owner_id": "69eb15d7-9b00-4972-ab7c-22df5921cca6", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1717801033013, "_create_user": "admin", "_last_modified_time": 1717801101659, "_last_modified_user": "admin", "_revision": 1 }

Required Permissions:

read

Feature:

policy_common_ids

Additional Errors: